
QGIS Application - Bug report #10672

regression: impossible to paste polygon into newly created shapefile

2014-06-23 02:28 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Denis Rouzaud

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19071

Description

Steps to reproduce:

    1. Create a new project, and add the attached polygon shapefiles (provinces.shp and rcaf_regions.shp)

    2. Turn rcaf_regions layer's edit mode on.

    3. On the provinces layer, select the polygon with PROV_NAME equating 'Kampong Thom' (it's the middle one to the right of the inner

empty space)

    4. Copy the polygon

    5. Try and paste the polygon onto the rcaf_region layer, it will reject with the following message bar: "no features could be successfully

pasted"

This is highly problematic, and works perfectly fine under QGIS 2.2.

Related issues:

Related to QGIS Application - Bug report # 16758: regression: adding a multi-... Closed 2017-06-27

Associated revisions

Revision be032f72 - 2014-06-23 04:54 PM - Denis Rouzaud

fix #10672: force multi when pasting on a shapefile

Revision 39eaff90 - 2014-06-25 06:03 AM - Martin Dobias

Merge pull request #1483 from 3nids/pasteshape

fix #10672: force multi when pasting on a shapefile

Revision 8289891b - 2015-06-09 05:01 PM - Jürgen Fischer

Move information about strict provider geometry type check on point shapefiles

to OGR provider and make use of it when pasting & merging features

(fixes #12488, refs #10672, refs #10747)

TODO: check if other OGR drivers have similar restrictions.

Revision ce99b8ef - 2015-06-29 06:49 PM - Jürgen Fischer

Move information about strict provider geometry type check on point shapefiles

to OGR provider and make use of it when pasting & merging features
(fixes #12488, refs #10672, refs #10747)

TODO: check if other OGR drivers have similar restrictions.

(cherry picked from commit 8289891b78953581f22e944565e0e1c9678a09c3)

History

#1 - 2014-06-23 02:55 AM - Mathieu Pellerin - nIRV

I should have added that most polygons can be pasted onto the rcaf_region layer, but the provinces polygon named 'Kampong Thom' fails.

#2 - 2014-06-23 06:37 AM - Denis Rouzaud

- Assignee set to Denis Rouzaud

#3 - 2014-06-23 07:01 AM - Denis Rouzaud

- File pasteshape.zip added

The problem is that the feature is multipart but the destination layer is known as single part, so nothing can be paste.

I believe the problem is that shapefiles should always (?) be considered as multipart.

I am not sure where to handle this.

in QGisApp::editPaste: if layer is shape, force multi in conversion?

#4 - 2014-06-23 07:59 AM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/1483

#5 - 2014-06-23 03:03 PM - Pedro Venâncio

I confirm this also with lines / multilines.

Waiting for Denis PR be accepted and merged.

Thanks Denis!

#6 - 2014-06-24 09:03 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"39eaff90975e533d0e71293511c5181f8ce7d0d2".

#7 - 2017-07-05 06:47 PM - Jürgen Fischer

- Related to Bug report #16758: regression: adding a multi-part feature to a shapefile dataset fails added

Files

rcaf_regions.zip 1.57 KB 2014-06-23 Mathieu Pellerin - nIRV
provinces.zip 1.13 MB 2014-06-23 Mathieu Pellerin - nIRV

pasteshape.zip 1.13 MB 2014-06-23 Denis Rouzaud
